curl --request GET \
--url https://api.cyberdesk.io/v1/workflows/{workflow_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cyberdesk.io/v1/workflows/{workflow_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cyberdesk.io/v1/workflows/{workflow_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"main_prompt": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"input_schema": "<string>",
"output_schema": "<string>",
"includes_file_exports": false,
"is_webhooks_enabled": false,
"terminal_command_allowlist": [
"<string>"
],
"model_metadata": {
"main_agent_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cache_detection_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fallback_model_1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fallback_model_2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"post_run_check_failure_cleanup_prompt": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"includes_input_variables": false,
"workflow_metadata": {
"has_unaddressed_error": true,
"last_errored_run_start": "2023-11-07T05:31:56Z",
"last_errored_run_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"old_versions": [
{}
],
"tags": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"emoji": "<string>",
"color": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_archived": false,
"workflow_count": 123,
"group": {
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"emoji": "<string>",
"color": "<string>"
}
}
],
"post_run_checks": [
{
"name": "<string>",
"type": "run_attachment_exists",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"file_target_mode": "exact",
"file_names": [
"<string>"
],
"file_name_regex": "<string>",
"expected_match_count": 2,
"expected_match_count_ref": "<string>",
"loop_input": "<string>",
"loop_item_filename_template": "<string>",
"allow_missing_attachments": false,
"check_prompt": "<string>",
"model": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"included": [
{
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Workflow
Get a specific workflow by ID.
The workflow must belong to the authenticated organization.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Comma-separated list of related resources to include. Allowed values: tags, post_run_checks. Defaults to tags and post_run_checks when omitted.
Response
Successful Response
Workflow response with optional included related resources.
1255JSON schema for validating merged run inputs. Sensitive root keys are exposed with a '$' prefix in schema validation (for example sensitive_input_values.api_key -> '$api_key').
JSON schema for output data transformation
Enable AI-based file export detection
Send webhook on run completion
Optional workflow-level allowlist for execute_terminal_command. When set, the agent may only run commands that exactly match one of the approved command templates.
Optional workflow-level model configuration metadata (main agent, cache detection, and fallbacks).
Show child attributes
Show child attributes
Optional workflow-level cleanup prompt that runs when any post-run check fails during a session or chain.
Internal workflow metadata used for run/error tracking.
Show child attributes
Show child attributes
Tags assigned to this workflow
Show child attributes
Show child attributes
Post-run checks assigned to this workflow.
Show child attributes
Show child attributes
Related resources requested via the include query parameter
Show child attributes
Show child attributes
Was this page helpful?